Get song ranking - latest
Get the latest song ranking for a specific chart.
Charts displaying a metric are:
- Airplay charts (number of spins)
- Spotify charts (number of streams)
- YouTube charts (number of views)
- TikTok charts (video count)
This endpoint also returns the number of days (DOC) or weeks (WOC) that a song has been on that chart.
In the response:
- rankDate is the last date the song appeared in this chart.
- entryDate is the first date the song appeared in this chart.
- oldPosition for a current chart entry is the last known position for the song prior to the current position.
- oldPosition for a past chart entry is the last known position before the song left the chart.
- When the position field is "0", it means that the song is no longer in the chart, ie. that the current version of that chart does not feature that song.
Need to get the chart’s slug? Use the Get song chart list by platform endpoint.
Request
GET
/api/v2.14/chart/song/{slug}/ranking/latest
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| slug | string | A song chart slug | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Song Chart Rank Collection response |
Song Chart Rank Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Chart not found |